1. in the book, page 6, Downloading and Installing a Lua Interpreter, it says u can get one at http//wowprogramming.com/downloads/lua/windows

    When i type that link i get a message - The node by this name does not exist, but you can create it. Please pick one of the node types below. with some links underneath as Basic, Image, Binary File etc. when in click on one of those links i get the following message - Sorry, that action is not allowed.

    Where can i get a stand alone interpreter for windows?

    Sorry for the confusion, but that file has been moved to http://wowprogramming.com/utils/pc/lua-wow.

    I'm really confused here. I got the download from your link and when I run the Interpreter (lua-wow.exe) the window opens up the top line shows -

    Lua 5.1.1 Copyright (C) 1994-2006 Lua.org, PUC-Rio

    yet the example in the book, top of page 7 shows 5.1.2 and 1994-2007

    So, my question is... why is the version offered here for download older than the one shown in the book? Is it going to make a harsh difference with the current version of WoW?

    No, it will not have any difference. The package was just made earlier, they are the same version of Lua.

    Ok, thanks so much, sorry to be a pain.

    You're not a pain, you have well thought out questions that are easy for me to answer. I like that =)